curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/retailers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": [
"fedex_FEDEX_GROUND",
"ups_GND"
],
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/retailers"
payload = {
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": ["fedex_FEDEX_GROUND", "ups_GND"],
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": { "value": True },
"order_details": { "value": "test details" },
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": { "value": 42 }
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'walmart',
name: 'Walmart',
status: 'active',
fulfillment_model: 'wholesale',
parent_retailer: {type: 'Retailer', id: 2},
legal_name: 'Walmart Inc.',
dba: 'Walmart Marketplace',
default_duties_payor: 'recipient',
default_shipping_method: 'fedex_FEDEX_GROUND',
allowed_shipping_methods: ['fedex_FEDEX_GROUND', 'ups_GND'],
routing_guide_notes: '<string>',
custom_fields: {
is_gift: {value: true},
order_details: {value: 'test details'},
department: {id: 3, label: 'Shipping'},
priority_levels: [{id: 1, label: 'Urgent'}, {id: 2, label: 'High'}],
cost_of_goods: {amount: 156.99, currency: 'USD'},
assigned_user: {value: 42}
},
created_at: '2017-07-21T17:32:28Z',
updated_at: '2017-07-21T17:39:43Z'
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/retailers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "<string>",
"id": 1
},
"meta": {
"processing_time": 123
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Create Retailer
Creates a new Retailer.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Body
An object conforming to the Retailer schema to be created.
A Retailer represents a B2B retail partner shared by all merchants, including fulfillment defaults and retailer-specific custom fields.
Globally unique retailer code.
1 - 64"walmart"
Retailer display name.
1 - 255"Walmart"
Retailer lifecycle status. Archived retailers are hidden from lists by default and cannot be assigned to new orders.
active, archived "active"
Default fulfillment model used for this retailer.
wholesale, drop_ship, mixed "wholesale"
Optional parent retailer reference. Any non-archived retailer may serve as the parent.
Optional Field
Show child attributes
Show child attributes
Legal retailer name.
Optional Field
255"Walmart Inc."
Doing-business-as name.
Optional Field
255"Walmart Marketplace"
Default duties payor for order-integration defaults.
Optional Field
shipper, recipient, third_party "recipient"
Default shipping method for order-integration defaults.
Optional Field
255"fedex_FEDEX_GROUND"
Shipping methods allowed when this retailer is selected.
Optional Field
["fedex_FEDEX_GROUND", "ups_GND"]
Free-form routing-guide notes.
Optional Field
65535Custom fields associated with the retailer in script format. Each field contains
a code and value, with additional properties depending on the field type.
Optional Field
Show child attributes
Show child attributes
{
"is_gift": { "value": true },
"order_details": { "value": "test details" },
"department": { "id": 3, "label": "Shipping" },
"priority_levels": [
{ "id": 1, "label": "Urgent" },
{ "id": 2, "label": "High" }
],
"cost_of_goods": { "amount": 156.99, "currency": "USD" },
"assigned_user": { "value": 42 }
}
The date and time the retailer was created in RFC 3339 section 5.6 notation.
Optional Field
"2017-07-21T17:32:28Z"
The date and time the retailer was last updated in RFC 3339 section 5.6 notation.
Optional Field
"2017-07-21T17:39:43Z"
Was this page helpful?